org.apache.ignite.internal.processors.cache

## Class GridCacheMultiTxFuture<K,V>

- java.lang.Object
- - java.util.concurrent.locks.AbstractOwnableSynchronizer
  - - java.util.concurrent.locks.AbstractQueuedSynchronizer
    - - org.apache.ignite.internal.util.future.GridFutureAdapter<Boolean>
      - - org.apache.ignite.internal.processors.cache.GridCacheMultiTxFuture<K,V>

All Implemented Interfaces:
  Serializable, IgniteInternalFuture<Boolean>

    public final class GridCacheMultiTxFuture<K,V>
    extends GridFutureAdapter<Boolean>

Future which waits for completion of one or more transactions.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.concurrent.locks.AbstractQueuedSynchronizer

`AbstractQueuedSynchronizer.ConditionObject`

### Constructor Summary

Constructors
Constructor and Description
`GridCacheMultiTxFuture(GridCacheContext<K,V> cctx)`

### Method Summary

Methods
`void` `addTx(IgniteInternalTx tx)`
`void` `init()` Initializes this future.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, duration, endTime, error, get, get, get, get0, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, onCancelled, onDone, onDone, onDone, onDone, result, startTime, tryAcquireShared, tryReleaseShared`

### Methods inherited from class java.util.concurrent.locks.AbstractQueuedSynchronizer

`acquire, acquireInterruptibly, acquireShared, acquireSharedInterruptibly, compareAndSetState, getExclusiveQueuedThreads, getFirstQueuedThread, getQueuedThreads, getQueueLength, getSharedQueuedThreads, getState, getWaitingThreads, getWaitQueueLength, hasContended, hasQueuedPredecessors, hasQueuedThreads, hasWaiters, isHeldExclusively, isQueued, owns, release, releaseShared, setState, tryAcquire, tryAcquireNanos, tryAcquireSharedNanos, tryRelease`

### Methods inherited from class java.util.concurrent.locks.AbstractOwnableSynchronizer

`getExclusiveOwnerThread, setExclusiveOwnerThread`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheMultiTxFuture

    public GridCacheMultiTxFuture(GridCacheContext<K,V> cctx)

Parameters:
  `cctx` - Cache context.

### Method Detail

#### addTx

    public void addTx(IgniteInternalTx tx)

Parameters:
  `tx` - Transaction to add.

#### init

    public void init()

Initializes this future.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridFutureAdapter<Boolean>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015